unit schHistoricoMovimientosServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, FmtBCD, uROXMLIntf, schHistoricoMovimientosClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_HistoricoMovimientosDelta = '{3CD3F6E4-FEEA-4235-AA03-835172F2594A}';

type
  { IHistoricoMovimientosDelta }
  IHistoricoMovimientosDelta = interface(IHistoricoMovimientos)
  ['{3CD3F6E4-FEEA-4235-AA03-835172F2594A}']
    { Property getters and setters }
    function GetOldFECHAValue : DateTime;
    function GetOldID_ALMACENValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldNOMBRE_ALMACENValue : String;
    function GetOldID_ARTICULOValue : Integer;
    function GetOldFAMILIAValue : String;
    function GetOldREFERENCIAValue : String;
    function GetOldREFERENCIA_PROVValue : String;
    function GetOldDESCRIPCIONValue : String;
    function GetOldTIPO_MOVIMIENTOValue : String;
    function GetOldCANTIDADValue : Integer;
    function GetOldCAUSAValue : String;

    { Properties }
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldID_ALMACEN : Integer read GetOldID_ALMACENValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldNOMBRE_ALMACEN : String read GetOldNOMBRE_ALMACENValue;
    property OldID_ARTICULO : Integer read GetOldID_ARTICULOValue;
    property OldFAMILIA : String read GetOldFAMILIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldREFERENCIA_PROV : String read GetOldREFERENCIA_PROVValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldTIPO_MOVIMIENTO : String read GetOldTIPO_MOVIMIENTOValue;
    property OldCANTIDAD : Integer read GetOldCANTIDADValue;
    property OldCAUSA : String read GetOldCAUSAValue;
  end;

  { THistoricoMovimientosBusinessProcessorRules }
  THistoricoMovimientosBusinessProcessorRules = class(TDABusinessProcessorRules, IHistoricoMovimientos, IHistoricoMovimientosDelta)
  private
  protected
    { Property getters and setters }
    function GetFECHAValue: DateTime; virtual;
    function GetFECHAIsNull: Boolean; virtual;
    function GetOldFECHAValue: DateTime; virtual;
    function GetOldFECHAIsNull: Boolean; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    procedure SetFECHAIsNull(const aValue: Boolean); virtual;
    function GetID_ALMACENValue: Integer; virtual;
    function GetID_ALMACENIsNull: Boolean; virtual;
    function GetOldID_ALMACENValue: Integer; virtual;
    function GetOldID_ALMACENIsNull: Boolean; virtual;
    procedure SetID_ALMACENValue(const aValue: Integer); virtual;
    procedure SetID_ALMACENIsNull(const aValue: Boolean); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetID_EMPRESAIsNull: Boolean; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAIsNull: Boolean; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean); virtual;
    function GetNOMBRE_ALMACENValue: String; virtual;
    function GetNOMBRE_ALMACENIsNull: Boolean; virtual;
    function GetOldNOMBRE_ALMACENValue: String; virtual;
    function GetOldNOMBRE_ALMACENIsNull: Boolean; virtual;
    procedure SetNOMBRE_ALMACENValue(const aValue: String); virtual;
    procedure SetNOMBRE_ALMACENIsNull(const aValue: Boolean); virtual;
    function GetID_ARTICULOValue: Integer; virtual;
    function GetID_ARTICULOIsNull: Boolean; virtual;
    function GetOldID_ARTICULOValue: Integer; virtual;
    function GetOldID_ARTICULOIsNull: Boolean; virtual;
    procedure SetID_ARTICULOValue(const aValue: Integer); virtual;
    procedure SetID_ARTICULOIsNull(const aValue: Boolean); virtual;
    function GetFAMILIAValue: String; virtual;
    function GetFAMILIAIsNull: Boolean; virtual;
    function GetOldFAMILIAValue: String; virtual;
    function GetOldFAMILIAIsNull: Boolean; virtual;
    procedure SetFAMILIAValue(const aValue: String); virtual;
    procedure SetFAMILIAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetREFERENCIAIsNull: Boolean; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAIsNull: Boolean; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    procedure SetREFERENCIAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIA_PROVValue: String; virtual;
    function GetREFERENCIA_PROVIsNull: Boolean; virtual;
    function GetOldREFERENCIA_PROVValue: String; virtual;
    function GetOldREFERENCIA_PROVIsNull: Boolean; virtual;
    procedure SetREFERENCIA_PROVValue(const aValue: String); virtual;
    procedure SetREFERENCIA_PROVIsNull(const aValue: Boolean); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetDESCRIPCIONIsNull: Boolean; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONIsNull: Boolean; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean); virtual;
    function GetTIPO_MOVIMIENTOValue: String; virtual;
    function GetTIPO_MOVIMIENTOIsNull: Boolean; virtual;
    function GetOldTIPO_MOVIMIENTOValue: String; virtual;
    function GetOldTIPO_MOVIMIENTOIsNull: Boolean; virtual;
    procedure SetTIPO_MOVIMIENTOValue(const aValue: String); virtual;
    procedure SetTIPO_MOVIMIENTOIsNull(const aValue: Boolean); virtual;
    function GetCANTIDADValue: Integer; virtual;
    function GetCANTIDADIsNull: Boolean; virtual;
    function GetOldCANTIDADValue: Integer; virtual;
    function GetOldCANTIDADIsNull: Boolean; virtual;
    procedure SetCANTIDADValue(const aValue: Integer); virtual;
    procedure SetCANTIDADIsNull(const aValue: Boolean); virtual;
    function GetCAUSAValue: String; virtual;
    function GetCAUSAIsNull: Boolean; virtual;
    function GetOldCAUSAValue: String; virtual;
    function GetOldCAUSAIsNull: Boolean; virtual;
    procedure SetCAUSAValue(const aValue: String); virtual;
    procedure SetCAUSAIsNull(const aValue: Boolean); virtual;

    { Properties }
    property FECHA : DateTime read GetFECHAValue write SetFECHAValue;
    property FECHAIsNull : Boolean read GetFECHAIsNull write SetFECHAIsNull;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldFECHAIsNull : Boolean read GetOldFECHAIsNull;
    property ID_ALMACEN : Integer read GetID_ALMACENValue write SetID_ALMACENValue;
    property ID_ALMACENIsNull : Boolean read GetID_ALMACENIsNull write SetID_ALMACENIsNull;
    property OldID_ALMACEN : Integer read GetOldID_ALMACENValue;
    property OldID_ALMACENIsNull : Boolean read GetOldID_ALMACENIsNull;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull : Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_EMPRESAIsNull : Boolean read GetOldID_EMPRESAIsNull;
    property NOMBRE_ALMACEN : String read GetNOMBRE_ALMACENValue write SetNOMBRE_ALMACENValue;
    property NOMBRE_ALMACENIsNull : Boolean read GetNOMBRE_ALMACENIsNull write SetNOMBRE_ALMACENIsNull;
    property OldNOMBRE_ALMACEN : String read GetOldNOMBRE_ALMACENValue;
    property OldNOMBRE_ALMACENIsNull : Boolean read GetOldNOMBRE_ALMACENIsNull;
    property ID_ARTICULO : Integer read GetID_ARTICULOValue write SetID_ARTICULOValue;
    property ID_ARTICULOIsNull : Boolean read GetID_ARTICULOIsNull write SetID_ARTICULOIsNull;
    property OldID_ARTICULO : Integer read GetOldID_ARTICULOValue;
    property OldID_ARTICULOIsNull : Boolean read GetOldID_ARTICULOIsNull;
    property FAMILIA : String read GetFAMILIAValue write SetFAMILIAValue;
    property FAMILIAIsNull : Boolean read GetFAMILIAIsNull write SetFAMILIAIsNull;
    property OldFAMILIA : String read GetOldFAMILIAValue;
    property OldFAMILIAIsNull : Boolean read GetOldFAMILIAIsNull;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull : Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldREFERENCIAIsNull : Boolean read GetOldREFERENCIAIsNull;
    property REFERENCIA_PROV : String read GetREFERENCIA_PROVValue write SetREFERENCIA_PROVValue;
    property REFERENCIA_PROVIsNull : Boolean read GetREFERENCIA_PROVIsNull write SetREFERENCIA_PROVIsNull;
    property OldREFERENCIA_PROV : String read GetOldREFERENCIA_PROVValue;
    property OldREFERENCIA_PROVIsNull : Boolean read GetOldREFERENCIA_PROVIsNull;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull : Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldDESCRIPCIONIsNull : Boolean read GetOldDESCRIPCIONIsNull;
    property TIPO_MOVIMIENTO : String read GetTIPO_MOVIMIENTOValue write SetTIPO_MOVIMIENTOValue;
    property TIPO_MOVIMIENTOIsNull : Boolean read GetTIPO_MOVIMIENTOIsNull write SetTIPO_MOVIMIENTOIsNull;
    property OldTIPO_MOVIMIENTO : String read GetOldTIPO_MOVIMIENTOValue;
    property OldTIPO_MOVIMIENTOIsNull : Boolean read GetOldTIPO_MOVIMIENTOIsNull;
    property CANTIDAD : Integer read GetCANTIDADValue write SetCANTIDADValue;
    property CANTIDADIsNull : Boolean read GetCANTIDADIsNull write SetCANTIDADIsNull;
    property OldCANTIDAD : Integer read GetOldCANTIDADValue;
    property OldCANTIDADIsNull : Boolean read GetOldCANTIDADIsNull;
    property CAUSA : String read GetCAUSAValue write SetCAUSAValue;
    property CAUSAIsNull : Boolean read GetCAUSAIsNull write SetCAUSAIsNull;
    property OldCAUSA : String read GetOldCAUSAValue;
    property OldCAUSAIsNull : Boolean read GetOldCAUSAIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers, uDAInterfaces;

{ THistoricoMovimientosBusinessProcessorRules }
constructor THistoricoMovimientosBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor THistoricoMovimientosBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function THistoricoMovimientosBusinessProcessorRules.GetFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosFECHA];
end;

function THistoricoMovimientosBusinessProcessorRules.GetFECHAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosFECHA]);
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosFECHA];
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldFECHAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosFECHA]);
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetFECHAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosFECHA] := aValue;
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetFECHAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosFECHA] := Null;
end;

function THistoricoMovimientosBusinessProcessorRules.GetID_ALMACENValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosID_ALMACEN];
end;

function THistoricoMovimientosBusinessProcessorRules.GetID_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosID_ALMACEN]);
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldID_ALMACENValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosID_ALMACEN];
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldID_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosID_ALMACEN]);
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetID_ALMACENValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosID_ALMACEN] := aValue;
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetID_ALMACENIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosID_ALMACEN] := Null;
end;

function THistoricoMovimientosBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosID_EMPRESA];
end;

function THistoricoMovimientosBusinessProcessorRules.GetID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosID_EMPRESA]);
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosID_EMPRESA];
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosID_EMPRESA]);
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosID_EMPRESA] := aValue;
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetID_EMPRESAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosID_EMPRESA] := Null;
end;

function THistoricoMovimientosBusinessProcessorRules.GetNOMBRE_ALMACENValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosNOMBRE_ALMACEN];
end;

function THistoricoMovimientosBusinessProcessorRules.GetNOMBRE_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosNOMBRE_ALMACEN]);
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldNOMBRE_ALMACENValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosNOMBRE_ALMACEN];
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldNOMBRE_ALMACENIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosNOMBRE_ALMACEN]);
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetNOMBRE_ALMACENValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosNOMBRE_ALMACEN] := aValue;
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetNOMBRE_ALMACENIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosNOMBRE_ALMACEN] := Null;
end;

function THistoricoMovimientosBusinessProcessorRules.GetID_ARTICULOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosID_ARTICULO];
end;

function THistoricoMovimientosBusinessProcessorRules.GetID_ARTICULOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosID_ARTICULO]);
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldID_ARTICULOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosID_ARTICULO];
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldID_ARTICULOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosID_ARTICULO]);
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetID_ARTICULOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosID_ARTICULO] := aValue;
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetID_ARTICULOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosID_ARTICULO] := Null;
end;

function THistoricoMovimientosBusinessProcessorRules.GetFAMILIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosFAMILIA];
end;

function THistoricoMovimientosBusinessProcessorRules.GetFAMILIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosFAMILIA]);
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldFAMILIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosFAMILIA];
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldFAMILIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosFAMILIA]);
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetFAMILIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosFAMILIA] := aValue;
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetFAMILIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosFAMILIA] := Null;
end;

function THistoricoMovimientosBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosREFERENCIA];
end;

function THistoricoMovimientosBusinessProcessorRules.GetREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosREFERENCIA]);
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosREFERENCIA];
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosREFERENCIA]);
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosREFERENCIA] := aValue;
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetREFERENCIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosREFERENCIA] := Null;
end;

function THistoricoMovimientosBusinessProcessorRules.GetREFERENCIA_PROVValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosREFERENCIA_PROV];
end;

function THistoricoMovimientosBusinessProcessorRules.GetREFERENCIA_PROVIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosREFERENCIA_PROV]);
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldREFERENCIA_PROVValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosREFERENCIA_PROV];
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldREFERENCIA_PROVIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosREFERENCIA_PROV]);
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetREFERENCIA_PROVValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosREFERENCIA_PROV] := aValue;
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetREFERENCIA_PROVIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosREFERENCIA_PROV] := Null;
end;

function THistoricoMovimientosBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosDESCRIPCION];
end;

function THistoricoMovimientosBusinessProcessorRules.GetDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosDESCRIPCION]);
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosDESCRIPCION];
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosDESCRIPCION]);
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosDESCRIPCION] := aValue;
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetDESCRIPCIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosDESCRIPCION] := Null;
end;

function THistoricoMovimientosBusinessProcessorRules.GetTIPO_MOVIMIENTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosTIPO_MOVIMIENTO];
end;

function THistoricoMovimientosBusinessProcessorRules.GetTIPO_MOVIMIENTOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosTIPO_MOVIMIENTO]);
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldTIPO_MOVIMIENTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosTIPO_MOVIMIENTO];
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldTIPO_MOVIMIENTOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosTIPO_MOVIMIENTO]);
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetTIPO_MOVIMIENTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosTIPO_MOVIMIENTO] := aValue;
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetTIPO_MOVIMIENTOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosTIPO_MOVIMIENTO] := Null;
end;

function THistoricoMovimientosBusinessProcessorRules.GetCANTIDADValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosCANTIDAD];
end;

function THistoricoMovimientosBusinessProcessorRules.GetCANTIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosCANTIDAD]);
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldCANTIDADValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosCANTIDAD];
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldCANTIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosCANTIDAD]);
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetCANTIDADValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosCANTIDAD] := aValue;
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetCANTIDADIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosCANTIDAD] := Null;
end;

function THistoricoMovimientosBusinessProcessorRules.GetCAUSAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosCAUSA];
end;

function THistoricoMovimientosBusinessProcessorRules.GetCAUSAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosCAUSA]);
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldCAUSAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosCAUSA];
end;

function THistoricoMovimientosBusinessProcessorRules.GetOldCAUSAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_HistoricoMovimientosCAUSA]);
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetCAUSAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosCAUSA] := aValue;
end;

procedure THistoricoMovimientosBusinessProcessorRules.SetCAUSAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_HistoricoMovimientosCAUSA] := Null;
end;


initialization
  RegisterBusinessProcessorRules(RID_HistoricoMovimientosDelta, THistoricoMovimientosBusinessProcessorRules);

end.
